import { RouterUtilService } from "@smallstack/common-components";
import { InlineTranslation } from "@smallstack/i18n-shared";
import * as i0 from "@angular/core";
export declare class IconCardComponent {
    private routerUtilService;
    icon: string;
    title: string | InlineTranslation;
    subTitle: string | InlineTranslation;
    height: string;
    link: string;
    constructor(routerUtilService: RouterUtilService);
    protected followLink(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconCardComponent, "smallstack-icon-card", never, { "icon": { "alias": "icon"; "required": false; }; "title": { "alias": "title"; "required": false; }; "subTitle": { "alias": "subTitle"; "required": false; }; "height": { "alias": "height"; "required": false; }; "link": { "alias": "link"; "required": false; }; }, {}, never, ["[card-header-right]", "*"], true, never>;
}
